#ifndef __HAL_SYSTICK_H
#define __HAL_SYSTICK_H

#include "stm32f4xx.h"

void     hal_systick_init(void);
uint32_t get_systick_ms(void);

#define SYSTICK_EXT_CLOCK_1MS_CNT (SystemCoreClock / 1000)

void systick_handler(void);

#endif // __HAL_SYSTICK_H